Package io.dapr.v1

# Interface DaprProtos.GetBulkStateRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetBulkStateRequest`, `DaprProtos.GetBulkStateRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.GetBulkStateRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getKeys​(int index)` | The keys to get.
  `com.google.protobuf.ByteString` | `getKeysBytes​(int index)` | The keys to get.
  `int` | `getKeysCount()` | The keys to get.
  `java.util.List<java.lang.String>` | `getKeysList()` | The keys to get.
  `int` | `getParallelism()` | The number of parallel operations executed on the state store for a get operation.
  `java.lang.String` | `getStoreName()` | The name of state store.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of state store.

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getStoreName

    java.lang.String getStoreName()

         The name of state store.

    `string store_name = 1;`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    com.google.protobuf.ByteString getStoreNameBytes()

         The name of state store.

    `string store_name = 1;`
    Returns:
      The bytes for storeName.

  - ### getKeysList

    java.util.List<java.lang.String> getKeysList()

         The keys to get.

    `repeated string keys = 2;`
    Returns:
      A list containing the keys.

  - ### getKeysCount

    int getKeysCount()

         The keys to get.

    `repeated string keys = 2;`
    Returns:
      The count of keys.

  - ### getKeys

    java.lang.String getKeys​(int index)

         The keys to get.

    `repeated string keys = 2;`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The keys at the given index.

  - ### getKeysBytes

    com.google.protobuf.ByteString getKeysBytes​(int index)

         The keys to get.

    `repeated string keys = 2;`
    Parameters:
      `index` - The index of the value to return.
    Returns:
      The bytes of the keys at the given index.

  - ### getParallelism

    int getParallelism()

         The number of parallel operations executed on the state store for a get operation.

    `int32 parallelism = 3;`
    Returns:
      The parallelism.